Instalando PHP 5.2.1 en Ubuntu Edgy Eft

PHP 5.2.1 no hace mucho que salió, incluye numerosos parches de seguridad y estabilidad; como siempre es importante que tus scripts sean compatibles y no hayan problemas con la actualización. Dado que en Ubuntu Edgy Eft solo está disponible PHP 5.1.6 desde los repositorios oficiales, la forma más fácil de instalar la ultima versión es agregando un repositorio de Debian.

Para ello es necesario editar /etc/apt/sources.list, agregando estas lineas:

deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all

Si ya tienes php5 instalado, solo es necesario ejecutar sudo aptitude update para que nos informe de la nueva versión disponible y se actualice automáticamente. El único inconveniente es que la librería mysqli no esta disponible para 5.2.1, aunque realmente no se si funcionaría la version para 5.1.6.

Etiquetas: , , ,

3 thoughts on “Instalando PHP 5.2.1 en Ubuntu Edgy Eft

  1. a decir verdad eso de estar actualizando a cada rato si me cae mal (Alo WordPress!!!) pero uno de los hostings que tenemos le isntalan la ultima version, entonces mas vale estar se cubriendo las espaldas 😛

  2. Quisiera saber si se puede configurar esta versión de PHP para que se puedan implementar las variables de extensión ora, ya que al realizar el cambio de versión solo funcionan las oci. Gracias.

Comments are closed.